    001/* ===========================================================
    002 * JFreeChart : a free chart library for the Java(tm) platform
    003 * ===========================================================
    004 *
    005 * (C) Copyright 2000-2011, by Object Refinery Limited and Contributors.
    006 *
    007 * Project Info:  http://www.jfree.org/jfreechart/index.html
    008 *
    009 * This library is free software; you can redistribute it and/or modify it
    010 * under the terms of the GNU Lesser General Public License as published by
    011 * the Free Software Foundation; either version 2.1 of the License, or
    012 * (at your option) any later version.
    013 *
    014 * This library is distributed in the hope that it will be useful, but
    015 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016 * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017 * License for more details.
    018 *
    019 * You should have received a copy of the GNU Lesser General Public
    020 * License along with this library; if not, write to the Free Software
    021 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022 * USA.
    023 *
    024 * [Oracle and Java are registered trademarks of Oracle and/or its affiliates.
    025 * Other names may be trademarks of their respective owners.]
    026 *
    027 * ----------------------
    028 * CategoryRangeInfo.java
    029 * ----------------------
    030 * (C) Copyright 2009, by Object Refinery Limited.
    031 *
    032 * Original Author:  David Gilbert (for Object Refinery Limited);
    033 * Contributor(s):   -;
    034 *
    035 * Changes
    036 * -------
    037 * 27-Mar-2009 : Version 1 (DG);
    038 *
    039 */
    040
    041package org.jfree.data.category;
    042
    043import java.util.List;
    044import org.jfree.data.Range;
    045
    046/**
    047 * An interface that can (optionally) be implemented by a dataset to assist in
    048 * determining the minimum and maximum y-values.
    049 *
    050 * @since 1.0.13
    051 */
    052public interface CategoryRangeInfo {
    053
    054    /**
    055     * Returns the range of the values in this dataset's range.
    056     *
    057     * @param visibleSeriesKeys  the keys of the visible series.
    058     * @param includeInterval  a flag that determines whether or not the
    059     *                         y-interval is taken into account.
    060     *
    061     * @return The range (or <code>null</code> if the dataset contains no
    062     *     values).
    063     */
    064    public Range getRangeBounds(List visibleSeriesKeys,
    065            boolean includeInterval);
    066
    067}